Package twisted :: Package words :: Module service :: Class Participant

[show private | hide private]
[frames | no frames]

## Class Participant

    Perspective --+
                  |
        Perspective --+
                      |
          Versioned --+
                      |
                     Participant

Method Summary
| `__init__(self, name)`
| `__getstate__(self)`
| `__repr__(self)`
| `__setstate__(self, state)` (inherited from `Versioned`)
| `addContact(self, contactName)`
| ``attached`(self, client, identity)` Attach a client which implements `IWordsClient`to me.
| ``brokerAttached`(self, reference, identity, broker)` An intermediary method to override. (inherited from `Perspective`)
| ``brokerDetached`(self, reference, identity, broker)` See `brokerAttached`. (inherited from `Perspective`)
| `changeStatus(self, newStatus)`
| `detached(self, client, identity)`
| `directMessage(self, recipientName, message, metadata)`
| `getGroupMembers(self, groupName)`
| `getGroupMetadata(self, groupName)`
| ``getIdentityRequest`(self)` Request my identity. (inherited from `Perspective`)
| ``getPerspectiveName`(self)` Return the unique name of this perspective. (inherited from `Perspective`)
| ``getService`(self)` Return a service. (inherited from `Perspective`)
| `groupMessage(self, groupName, message, metadata)`
| `joinGroup(self, name)`
| `leaveGroup(self, name)`
| ``makeIdentity`(self, password)` Make an identity from this perspective with a password. (inherited from `Perspective`)
| `memberJoined(self, member, group)`
| `memberLeft(self, member, group)`
| `notifyStatusChanged(self, contact)`
| `perspective_addContact(self, contactName)`
| `perspective_changeStatus(self, newStatus)`
| `perspective_directMessage(self, recipientName, message, metadata)`
| `perspective_getGroupMembers(self, groupName)`
| `perspective_groupMessage(self, groupName, message, metadata)`
| `perspective_joinGroup(self, name)`
| `perspective_leaveGroup(self, name)`
| `perspective_removeContact(self, contactName)`
| `perspective_setGroupMetadata(self, dict_, groupName)`
| ``perspectiveMessageReceived`(self, broker, message, args, kw)` This method is called when a network message is received. (inherited from `Perspective`)
| `receiveDirectMessage(self, sender, message, metadata)`
| `receiveGroupMessage(self, sender, group, message, metadata)`
| `removeContact(self, contactName)`
| `setGroupMetadata(self, dict_, groupName)`
| ``setIdentity`(self, ident)` Determine which identity I connect to. (inherited from `Perspective`)
| `setIdentityName(self, name)` (inherited from `Perspective`)
| ``setService`(self, service)` Change what service I am a part of. (inherited from `Perspective`)
| `stopTranscribing(self, voiceName)`
| `transcribeConversationWith(self, voiceName)`
| `upgradeToVersion2(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`int` | `persistenceVersion`

Method Details

### attached(self, client, identity)

Attach a client which implements `IWordsClient` to me.

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        2

Generated by Epydoc 1.1 on Thu May 8 13:19:26 2003 | http://epydoc.sf.net